Subject: Re: [PATCH 6/24] make atomic_read() behave consistently on frv

From: David Howells <[email-masked]>
Date: Sat, 11 Aug 2007 09:47:51 +0100

Chris Snook <[email-masked]> wrote:

> cpu_relax() contains a barrier, so it should do the right thing.  For non-smp
> architectures, I'm concerned about interacting with interrupt handlers.  Some
> drivers do use atomic_* operations.

I'm not sure that actually answers my question.  Why not smp_rmb()?

David